Subject: Re: linux-next: manual merge of the pm tree with the imx-mxs tree

From: Shawn Guo <[email-masked]>
Date: Tue, 25 Oct 2016 07:55:58 +0800

On Tue, Oct 25, 2016 at 01:58:25AM +0200, Rafael J. Wysocki wrote:
> On Tuesday, October 25, 2016 10:47:29 AM Stephen Rothwell wrote:
> > Hi Rafael,
> > 
> > Today's linux-next merge of the pm tree got a conflict in:
> > 
> >   arch/arm/mach-imx/gpc.c
> > 
> > between commits:
> > 
> >   eef0b282bb58 ("ARM: imx: gpc: Initialize all power domains")
> >   f9d1f7a7ad91 ("ARM: imx: gpc: Fix the imx_gpc_genpd_init() error path")
> > 
> > from the imx-mxs tree and commit:
> > 
> >   59d65b73a23c ("PM / Domains: Make genpd state allocation dynamic")
> > 
> > from the pm tree.
> > 
> > I fixed it up (see below) and can carry the fix as necessary.
> 
> Thanks Stephen!
> 
> Lina, please have a look at the Stephen's fix and let me know if that
> conflict should be resolved in a different way.

FYI. We target the following two fixes 4.9-rc.

eef0b282bb58 ("ARM: imx: gpc: Initialize all power domains")
f9d1f7a7ad91 ("ARM: imx: gpc: Fix the imx_gpc_genpd_init() error path")

Shawn